/*
 * Copyright (c) 1996-2001 Borland Software Corporation. Tous droits rservs.
 * 
 * Ce FICHIER CODE SOURCE, qui a t fourni par Borland Software comme une 
 * partie d'un produit Borland Software pour tre utilis UNIQUEMENT par des 
 * utilisateurs licencis du produit, inclut des informations CONFIDENTIELLES 
 * et PROPRIETAIRES de Borland Software.
 *
 * L'UTILISATION DE CE LOGICIEL EST SOUMIS AUX TERMES ET CONDITIONS DU
 * CONTRAT DE LICENCE ET A LA GARANTIE LIMITEE FOURNIS AVEC LE PRODUIT.
 *
 * EN PARTICULIER, VOUS INDEMNISEREZ BORLAND SOFTWARE ET TOUTE AUTRE 
 * ENTITE QUI LUI SERAIT APPARENTEE AINSI QUE SES FOURNISSEURS, DES 
 * CONSEQUENCES DE TOUT RECOURS INTENTE OU DE TOUTE RESPONSABILITE 
 * RETENUE A SON ENCONTRE DU FAIT OU A L'OCCASION DE L'UTILISATION, 
 * LA REPRODUCTION OU LA DISTRIBUTION DE VOS PR0GRAMMES, Y COMPRIS 
 * TOUTE RECLAMATION OU RESPONSABILITE SURVENANT OU RESULTANT DE 
 * L'UTILISATION, LA MODIFICATION OU LA DISTRIBUTION DES PROGRAMMES 
 * OU FICHIERS CREES A PARTIR DE, BASES SUR ET/OU DERIVES DE CE 
 * FICHIER CODE SOURCE.
 *
 */
//------------------------------------------------------------------------------
// Copyright (c) 1996-2001 Borland Software Corporation. Tous droits rservs.
//------------------------------------------------------------------------------

package com.borland.samples.welcome;

import java.awt.*;
import javax.swing.UIManager;

public class WelcomeApp {
  boolean packFrame = false;

  // Construire l'application
  public WelcomeApp() {
    WelcomeFrame frame = new WelcomeFrame();

    //Compacter les cadres qui ont une info de taille prfre utile (par exemple, de leur disposition)
    //Valider les cadres qui ont des tailles prdfinies
    if (packFrame)
      frame.pack();
    else
      frame.validate();

    // Centrer le cadre
    Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
    Dimension frameSize = frame.getSize();
    if (frameSize.height > screenSize.height)
      frameSize.height = screenSize.height;
    if (frameSize.width > screenSize.width)
      frameSize.width = screenSize.width;
    frame.setLocation((screenSize.width - frameSize.width) / 2, (screenSize.height - frameSize.height) / 2);

    frame.setVisible(true);
  }

  // Mthode principale
  static public void main(String[] args) {
    try {
      UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
    }
    catch(Exception e) {
      e.printStackTrace();
    }
    new WelcomeApp();
  }
}
