/*
 * Copyright (c) 1996-2001 Borland Software Corporation. Tous droits rservs.
 * 
 * Ce FICHIER CODE SOURCE, qui a t fourni par Borland Software comme une 
 * partie d'un produit Borland Software pour tre utilis UNIQUEMENT par des 
 * utilisateurs licencis du produit, inclut des informations CONFIDENTIELLES 
 * et PROPRIETAIRES de Borland Software.
 *
 * L'UTILISATION DE CE LOGICIEL EST SOUMIS AUX TERMES ET CONDITIONS DU
 * CONTRAT DE LICENCE ET A LA GARANTIE LIMITEE FOURNIS AVEC LE PRODUIT.
 *
 * EN PARTICULIER, VOUS INDEMNISEREZ BORLAND SOFTWARE ET TOUTE AUTRE 
 * ENTITE QUI LUI SERAIT APPARENTEE AINSI QUE SES FOURNISSEURS, DES 
 * CONSEQUENCES DE TOUT RECOURS INTENTE OU DE TOUTE RESPONSABILITE 
 * RETENUE A SON ENCONTRE DU FAIT OU A L'OCCASION DE L'UTILISATION, 
 * LA REPRODUCTION OU LA DISTRIBUTION DE VOS PR0GRAMMES, Y COMPRIS 
 * TOUTE RECLAMATION OU RESPONSABILITE SURVENANT OU RESULTANT DE 
 * L'UTILISATION, LA MODIFICATION OU LA DISTRIBUTION DES PROGRAMMES 
 * OU FICHIERS CREES A PARTIR DE, BASES SUR ET/OU DERIVES DE CE 
 * FICHIER CODE SOURCE.
 */
//------------------------------------------------------------------------------
// Copyright (c) 1996-2001 Borland Software Corporation.  Tous droits rservs.
//------------------------------------------------------------------------------

package com.borland.samples.welcome;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class WelcomeFrame extends JFrame {
  JPanel contentPane;
  BorderLayout borderLayout1 = new BorderLayout();
  JMenuBar jMenuBar1 = new JMenuBar();
  JMenu jMenuFile = new JMenu();
  JMenuItem jMenuFileExit = new JMenuItem();
  JMenu jMenuHelp = new JMenu();
  JMenuItem jMenuHelpAbout = new JMenuItem();

  // Construire le cadre
  public WelcomeFrame() {
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    try {
      jbInit();
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }

  // Initialisation du composant
  private void jbInit() throws Exception {
    contentPane = (JPanel) this.getContentPane();
    contentPane.setLayout(borderLayout1);
    this.setTitle("Bienvenue dans JBuilder");
    this.setJMenuBar(jMenuBar1);
    this.setSize(new Dimension(400, 300));
    jMenuFile.setText("Fichier");
    jMenuFileExit.setText("Quitter");
    jMenuFileExit.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jMenuFileExit_actionPerformed(e);
      }
    });
    jMenuFile.add(jMenuFileExit);
    jMenuHelp.setText("Aide");
    jMenuHelpAbout.setText("A propos");
    jMenuHelpAbout.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jMenuHelpAbout_actionPerformed(e);
      }
    });
    jMenuHelp.add(jMenuHelpAbout);
    jMenuBar1.add(jMenuFile);
    jMenuBar1.add(jMenuHelp);
  }

  //Remplac, donc nous pouvons quitter quand la fentre est ferme
  protected void processWindowEvent(WindowEvent e) {
    super.processWindowEvent(e);
    if (e.getID() == WindowEvent.WINDOW_CLOSING) {
      System.exit(0);
    }
  }

  //Action Fichier | Quitter effectue
  public void jMenuFileExit_actionPerformed(ActionEvent e) {
    System.exit(0);
  }

  //Action Aide | A propos effectue
  public void jMenuHelpAbout_actionPerformed(ActionEvent e) {
  }
}
